
/****************************************************************************/
/*      TmkInit v1.02 for QNX. ELCUS, 1995,1998.                            */
/****************************************************************************/

#include "tmkll4.c"

#include <stdio.h>
#include <string.h>

#ifdef TMK_CONFIGURATION_TABLE
struct TTmkConfig
{
  int short nType;
  char achName[10];
  unsigned short wPorts1;
  unsigned short wPorts2;
  unsigned short wIrq1;
  unsigned short wIrq2;
} aTmkConfig[4];
#endif

#define TMK_FILE_OPEN_ERROR 21
#define TMK_FILE_READ_ERROR 22
#define TMK_FILE_FORMAT_ERROR 23
#define TMK_UNKNOWN_TYPE 24

int TmkInit(char *pszTMKFileName)
{
#ifdef TMK_CONFIGURATION_TABLE
  char *apszTmkTypeName[MAX_TMK_TYPE+1] = { "RTMK",
                                            "RTMK1",
                                            "TMK400",
                                            "TMKMPC",
                                            "RTMK400",
                                            "TMKX" };
#endif
  int nResult;
  int hTMK;
  char *pathTMK;
  char achParams[81];
  char *pCurParam, *pCurParamEnd;
  FILE *hTMKFile;

#ifdef TMK_CONFIGURATION_TABLE
  for (hTMK = 0; hTMK <= 3; ++hTMK)
  {
    aTmkConfig[hTMK].nType = -1;
    aTmkConfig[hTMK].achName[0] = '\0';
    aTmkConfig[hTMK].wPorts1 = aTmkConfig[hTMK].wPorts2 = 0;
    aTmkConfig[hTMK].wIrq1 = aTmkConfig[hTMK].wIrq2 = 0;
  }
#endif
  if ((hTMKFile = fopen(pszTMKFileName, "r")) == NULL)
    return TMK_FILE_OPEN_ERROR;
  while (1)
  {
    if (fgets(achParams, 80, hTMKFile) == NULL)
      if (feof(hTMKFile))
        break;
      else
      {
        nResult = TMK_FILE_READ_ERROR;
        goto ExitTmkInit;
      }
    if (achParams[0] == '*')
      break;
    if (sscanf(achParams, "%u", &hTMK) != 1)
      continue;
    if (hTMK > tmkgetmaxn())
    {
      nResult = TMK_FILE_FORMAT_ERROR;
      goto ExitTmkInit;
    }
    if ((pCurParam = strchr(achParams, ' ')) == NULL)
    {
      nResult = TMK_FILE_FORMAT_ERROR;
      goto ExitTmkInit;
    }
    pCurParam++;
    pathTMK = pCurParam;
    for (; *pCurParam!=' ' && *pCurParam!='*' && *pCurParam!='\n'; pCurParam++);
    *pCurParam = '\0';
    nResult = tmkconfig(hTMK, pathTMK);
#ifdef TMK_CONFIGURATION_TABLE
    tmkgetinfo(&(aTmkConfig[hTMK].nType),
               &(aTmkConfig[hTMK].wPorts1),
               &(aTmkConfig[hTMK].wPorts2),
               &(aTmkConfig[hTMK].wIrq1),
               &(aTmkConfig[hTMK].wIrq2));
    strcpy(aTmkConfig[hTMK].achName, apszTmkTypeName[aTmkConfig[hTMK].nType]);
/*
    aTmkConfig[hTMK].nType = iTMKType;
    strcpy(aTmkConfig[hTMK].achName, apszTmkTypeName[iTMKType]);
    aTmkConfig[hTMK].wPorts1 = tmkPorts1;
    aTmkConfig[hTMK].wPorts2 = tmkPorts2;
    aTmkConfig[hTMK].wIrq1 = tmkIrq1;
    aTmkConfig[hTMK].wIrq2 = tmkIrq2;
*/
#endif
    if (nResult)
      break;
  } /* endwhile(!feof()) */
  ExitTmkInit:
  fclose(hTMKFile);
  return nResult;
}
